> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fact0.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a new execution trace



## OpenAPI

````yaml /openapi/telemetry.v1.yaml post /api/v1/executions
openapi: 3.1.0
info:
  title: Fact0 Execution Telemetry API
  version: 1.0.0
  description: >
    Execution tracing API for AI agent observability - executions, spans,
    events, DAG, and replay.


    **Auth:** `f0_live_*` API keys (same as the audit log on Fact0 Cloud).
servers:
  - url: https://api.fact0.io
    description: Fact0 Cloud
security: []
tags:
  - name: Ingest
  - name: Query
  - name: Replay
paths:
  /api/v1/executions:
    post:
      tags:
        - Ingest
      summary: Start a new execution trace
      operationId: startExecution
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartExecutionRequest'
      responses:
        '201':
          description: Execution created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Execution'
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  schemas:
    StartExecutionRequest:
      type: object
      required:
        - agent_id
      properties:
        agent_id:
          type: string
        agent_name:
          type: string
        trigger:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        idempotency_key:
          type: string
    Execution:
      type: object
      properties:
        id:
          type: string
        agent_id:
          type: string
        agent_name:
          type: string
        status:
          type: string
          enum:
            - RUNNING
            - COMPLETED
            - FAILED
            - CANCELLED
        root_span_id:
          type: string
        trigger:
          type: string
        started_at:
          type: string
          format: date-time
        ended_at:
          type: string
          format: date-time
        metadata:
          type: object
          additionalProperties:
            type: string
        created_at:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      properties:
        error:
          oneOf:
            - type: string
            - type: object
              properties:
                code:
                  type: string
                message:
                  type: string
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````